summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2021-04-16 22:30:23 +0100
committerSam James <sam@gentoo.org>2021-04-18 06:52:54 +0100
commit8a06db15f4a41dc4ac3f7195ced4ceecb6b76093 (patch)
tree5893a07d2dc9e4c21145466ca44e735370cce103
parentapp-backup/tsm: eutils-- (diff)
downloadgentoo-8a06db15f4a41dc4ac3f7195ced4ceecb6b76093.tar.gz
gentoo-8a06db15f4a41dc4ac3f7195ced4ceecb6b76093.tar.bz2
gentoo-8a06db15f4a41dc4ac3f7195ced4ceecb6b76093.zip
app-backup/tsm: multilib--
Signed-off-by: Sam James <sam@gentoo.org>
-rw-r--r--app-backup/tsm/tsm-8.1.6.0-r1.ebuild14
1 files changed, 7 insertions, 7 deletions
diff --git a/app-backup/tsm/tsm-8.1.6.0-r1.ebuild b/app-backup/tsm/tsm-8.1.6.0-r1.ebuild
index 6c1f4f3f850..8e4c399042d 100644
--- a/app-backup/tsm/tsm-8.1.6.0-r1.ebuild
+++ b/app-backup/tsm/tsm-8.1.6.0-r1.ebuild
@@ -3,7 +3,7 @@
EAPI=6
-inherit versionator multilib readme.gentoo-r1 rpm systemd pax-utils
+inherit versionator readme.gentoo-r1 rpm systemd pax-utils
DESCRIPTION="IBM Spectrum Protect (former Tivoli Storage Manager) Backup/Archive Client, API"
HOMEPAGE="https://www.ibm.com/us-en/marketplace/data-protection-and-recovery"
@@ -126,7 +126,7 @@ src_install() {
# We don't deal with SELinux compliance (yet), though.
local RPM_INSTALL_PREFIX CLIENTDIR i
RPM_INSTALL_PREFIX=/opt
- CLIENTDIR=$RPM_INSTALL_PREFIX/tivoli/tsm/client
+ CLIENTDIR=${RPM_INSTALL_PREFIX}/tivoli/tsm/client
# Create links for messages; this is spread over several postin scripts.
#for i in $(cd "${D}"${CLIENTDIR}/lang; ls -1d ??_??); do
@@ -136,7 +136,7 @@ src_install() {
# Mimic TIVsm-API64 postinstall script
for i in libgpfs.so libdmapi.so; do
- dosym ../..$CLIENTDIR/api/bin64/${i} /usr/lib64/${i}
+ dosym ../..${CLIENTDIR}/api/bin64/${i} /usr/lib64/${i}
done
# The TIVsm-BA postinstall script only does messages and ancient upgrades
@@ -217,10 +217,10 @@ src_install() {
pkg_postinst() {
local i dirs
for i in /var/log/tsm/dsm{error,sched,j,webcl}.log; do
- if [[ ! -e $i ]]; then
- touch $i || die
- chown :tsm $i || die
- chmod 0660 $i || die
+ if [[ ! -e ${i} ]]; then
+ touch ${i} || die
+ chown :tsm ${i} || die
+ chmod 0660 ${i} || die
fi
done